Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707400 - net-analyzer/echoping-6.0.2_p434-r3 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/echoping-6.0.2_p434-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:04 UTC by Toralf Förster
Modified: 2020-01-31 16:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.46 KB, text/plain)
2020-01-30 19:04 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,250.07 KB, text/plain)
2020-01-30 19:04 UTC, Toralf Förster
Details
environment (environment,87.36 KB, text/plain)
2020-01-30 19:04 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.89 KB, application/x-bzip)
2020-01-30 19:04 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,17.76 KB, application/x-bzip)
2020-01-30 19:04 UTC, Toralf Förster
Details
net-analyzer:echoping-6.0.2_p434-r3:20200129-224748.log (net-analyzer:echoping-6.0.2_p434-r3:20200129-224748.log,75.69 KB, text/plain)
2020-01-30 19:04 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.32 KB, application/x-bzip)
2020-01-30 19:04 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:04:17 UTC
      |                                      ^
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.     -O2 -pipe -march=native -fno-common -Wall -c -o smtp.o smtp.c
/bin/sh ./libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -Wall -export-dynamic -Wl,-O1 -Wl,--as-needed -o echoping echoping.o error.o readline.o writen.o util.o http.o icp.o HTParse.o smtp.o  -ldl -lpopt  -lm -lssl -lcrypto
libtool: link: x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wall -Wl,-O1 -o echoping echoping.o error.o readline.o writen.o util.o http.o icp.o HTParse.o smtp.o -Wl,--export-dynamic  -Wl,--as-needed -ldl -lpopt -lm -lssl -lcrypto
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: error.o:(.bss+0x0): multiple definition of `server'; echoping.o:(.bss+0x3f8): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: error.o:(.bss+0x10): multiple definition of `max_timeval'; echoping.o:(.bss+0x400): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 21:47:50 +0000

emerge -qpvO net-analyzer/echoping
[ebuild  N    ] net-analyzer/echoping-6.0.2_p434-r3  USE="ldap ssl -gnutls -http -icp -idn -libressl -postgres -priority -smtp -tos"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:04:19 UTC
Created attachment 608658 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:04:22 UTC
Created attachment 608660 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:04:25 UTC
Created attachment 608662 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:04:28 UTC
Created attachment 608664 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:04:31 UTC
Created attachment 608666 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:04:33 UTC
Created attachment 608668 [details]
net-analyzer:echoping-6.0.2_p434-r3:20200129-224748.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:04:36 UTC
Created attachment 608670 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 16:57:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=998f0b24fde487bbc25b69222dc9b3d65cc9fdca

commit 998f0b24fde487bbc25b69222dc9b3d65cc9fdca
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 16:56:51 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 16:57:15 +0000

    net-analyzer/echoping: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707400
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../echoping/echoping-6.0.2_p434-r4.ebuild         |  65 ++++++++++++
 .../files/echoping-6.0.2_p434-fno-common.patch     | 111 +++++++++++++++++++++
 2 files changed, 176 insertions(+)